#!/usr/bin/bash -x

# VirtualBox Guest Additions
# https://wiki.archlinux.org/index.php/VirtualBox
pacman -S --noconfirm linux-headers virtualbox-guest-utils virtualbox-guest-modules-arch nfs-utils
echo -e 'vboxguest\nvboxsf\nvboxvideo' > /etc/modules-load.d/virtualbox.conf

systemctl enable vboxservice.service
systemctl enable rpcbind.service

# Clean the pacman cache.
yes | pacman -Scc

# Write zeros to improve virtual disk compaction.
zerofile=$(mktemp /zerofile.XXXXX)
dd if=/dev/zero of="$zerofile" bs=1M
rm -f "$zerofile"
sync
